import request from '@/utils/request'

// 创建系统模块（区域）
export function createZone(data) {
  return request({
    url: '/system/zone/create',
    method: 'post',
    data: data
  })
}

// 更新系统模块（区域）
export function updateZone(data) {
  return request({
    url: '/system/zone/update',
    method: 'put',
    data: data
  })
}

// 删除系统模块（区域）
export function deleteZone(id) {
  return request({
    url: '/system/zone/delete?id=' + id,
    method: 'delete'
  })
}

// 获得系统模块（区域）
export function getZone(id) {
  return request({
    url: '/system/zone/get?id=' + id,
    method: 'get'
  })
}

// 获得系统模块（区域）分页
export function getZonePage(query) {
  return request({
    url: '/system/zone/page',
    method: 'get',
    params: query
  })
}

// 导出系统模块（区域） Excel
export function exportZoneExcel(query) {
  return request({
    url: '/system/zone/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
